# Remote-Support-Desktop

This is a remote-support App for the desktop using Qt Quick / QML.


Building project
----------------

### Install dependencies

`sudo apt install qt5-default qmlscene build-essential
 libgles2-mesa-dev qtquickcontrols2-5-dev qtdeclarative5-dev
 qml-module-qtquick-controls2 qml-module-qtquick-dialogs
 qml-module-qtquick-extras`


### Cross compiling
To cross compile from linux to windows for example please look at this source

https://stackoverflow.com/questions/10934683/how-do-i-configure-qt-for-cross-compilation-from-linux-to-windows-target

### Clone this repo

`git clone
 https://gitlab.das-netzwerkteam.de/remotewebapp/remote-support-desktop.git`

### Making of Makefile

1. `cd remote-support-desktop && mkdir BUILD && cd BUILD`

2. `qmake ../remote-support-desktop.pro`

qmake should have made a `Makefile` now which can be used by `make` to build an executable

### Using Makefile to build project

1. `make`

### Test your new executable

1. `./remote-support-desktop`


Installation of dev-environment
-------------------------------

### Clone this repo

`git clone
 https://gitlab.das-netzwerkteam.de/remotewebapp/remote-support-desktop.git`

### Install Qt Creator and necessary packages 

`sudo apt install qtcreator qt5-default qmlscene build-essential
 libgles2-mesa-dev qtquickcontrols2-5-dev qtdeclarative5-dev
 qml-module-qtquick-controls2 qml-module-qtquick-dialogs
 qml-module-qtquick-extras`

### Import the project into Qt Creator

1. Start Qt Creator

2. Click 'Projects' button -> Click 'Open project' button

3. Navigate to your cloned 'remote-support-desktop' git directory

4. Select `remote-support-desktop.pro` file

### In Qt Creator while in remote-support-desktop project:

1. Try pressing CTRL and R (Building and running the project)

2. If Qt Creator asks for an executable file in a dialog box proceed with
   next step

### Run settings

1. In the left bar click on 'Projects'

2. Then go to the 'Run' tab

3. Make sure a executable file is selected

4. Its usually `<build-dir>/../build-remote-support-desktop-Desktop-Debug/remote-support-desktop`

5. (Make sure that you tried to build the project at least once, or else the folder won't exist yet)

### Profit

...

### Authors, Copyright and License

This project is licensed under the GNU General Public License version 2 or (at your option) any later version.

The copyright holders of this project are

Copyright 2020 Daniel Teichmann <daniel.teichmann@das-netzwerkteam.de>  
Copyright 2020 Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  

For further license information, see the LICENSE file in this project or
consult the invidiual license headers of the files of this project.
